Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.builders
Interface RequestObjectBuilder

All Known Implementing Classes:
  AbstractRequestObjectBuilderImpl, GenericRequestObjectBuilder, GPRequestObjectBuilderImpl

    public interface RequestObjectBuilder

Creates the different application request objects Default impl : `GenericRequestObjectBuilder` Factory : `RequestObjectBuilderFactory`

Field Summary
`static int` | `MAXROWS_DEFAULT` MaxRows Constant : the highest possible value for maxRows parameter
`static String` | `MAXROWS_PROPERTY_KEY` optional property to set the maxrows tag in the request. ( indicates the maximum number of therapeutic links to return an a answer )
`static String` | `PROP_HCP_TYPE` Deprecated.

Method Summary
`GetTherapeuticLinkRequest` | `createGetTherapeuticLinkRequest(TherapeuticLink query, int maxRows, Proof... prooves)` Creates a GetTherapeuticLinkRequest
`GetTherapeuticLinkRequest` | `createGetTherapeuticLinkRequest(TherapeuticLink query, Proof... prooves)` Creates a GetTherapeuticLinkRequest MaxRows will be replaced with property value of "therlink.maxrows" if it's defined, otherwise default value1000 will be used
`HasTherapeuticLinkRequest` | `createHasTherapeuticLinkRequest(TherapeuticLink query)` Creates a HasTherapeuticLinkRequest
`PutTherapeuticLinkRequest` | `createPutTherapeuticLinkRequest(org.joda.time.DateTime endDate, Patient patient, HcParty concernedHealthCareProfessionel, String therLinkType, String comment, Proof... proofs)` Creates a new `PutTherapeuticLinkRequest`
`PutTherapeuticLinkRequest` | `createPutTherapeuticLinkRequest(Patient patient, HcParty concernedHealthCareProfessionel, Date endDate, String therLinkType, String comment, Proof... proofs)` Deprecated.
`PutTherapeuticLinkRequest` | `createPutTherapeuticLinkRequest(Patient patient, HcParty hcp, String therLinkType, Proof proof)` Creates a putTherapeuticLinkRequest enddate & comment are null by default
`RevokeTherapeuticLinkRequest` | `createRevokeTherapeuticLinkRequest(org.joda.time.DateTime startDate, org.joda.time.DateTime endDate, Patient patient, HcParty hcp, String therLinkType, String commentAboutRevokal, Proof... proofs)` Creates a RevokeTherapeuticLinkRequest
`RevokeTherapeuticLinkRequest` | `createRevokeTherapeuticLinkRequest(Patient patient, HcParty hcp, Date startDate, Date endDate, String therLinkType, String commentAboutRevokal, Proof... proofs)` Deprecated.
`RevokeTherapeuticLinkRequest` | `createRevokeTherapeuticLinkRequest(TherapeuticLink therLink)` Creates a RevokeTherapeuticLinkRequest with a TherapeuticLink as input
`RevokeTherapeuticLinkRequest` | `createRevokeTherapeuticLinkRequestWithProof(TherapeuticLink link, Proof... proofs)` Creates a RevokeTherapeuticLinkRequest with a TherapeuticLink as input and a proof list
`List<HcParty>` | `getAuthorHcParties()` Gets a list of HcParties that should be included in the author section of the message
`String` | `getEnduserHcpType()` Deprecated.
`int` | `getMaxRows()` won't always return correct value ( 0 instead of null ) in new implementations.

Field Detail

### MAXROWS_DEFAULT

    static final int MAXROWS_DEFAULT

  MaxRows Constant : the highest possible value for maxRows parameter

  See Also:
    Constant Field Values

### PROP_HCP_TYPE

    @Deprecated
    static final String PROP_HCP_TYPE

  Deprecated.
  Deprecated not used anymore in newer implementations

  See Also:
    Constant Field Values

### MAXROWS_PROPERTY_KEY

    static final String MAXROWS_PROPERTY_KEY

  optional property to set the maxrows tag in the request. ( indicates the maximum number of therapeutic links to return an a answer )

  See Also:
    Constant Field Values

Method Detail

### createPutTherapeuticLinkRequest

    @Deprecated
    PutTherapeuticLinkRequest createPutTherapeuticLinkRequest(Patient patient,
                                                                         HcParty concernedHealthCareProfessionel,
                                                                         Date endDate,
                                                                         String therLinkType,
                                                                         String comment,
                                                                         Proof... proofs)
                                                              throws TechnicalConnectorException,
                                                                     TherLinkBusinessConnectorException,
                                                                     InstantiationException

  Deprecated.

  Creates a new `PutTherapeuticLinkRequest`

  Parameters:
    `patient` - the patient concerned by the therapeutic link
    `therLinkType` - the type of the therapeutic link
    `endDate` - (optional) the end date of the therapeutic link
    `comment` - (optional) a comment about the therapeutic link
    `concernedHealthCareProfessionel` - (optional, default person in current session) the professional concerned by the therapeutic link
    `proofs` - (optional and possible empty) list of proofs
  Returns:
  Throws:
    `TechnicalConnectorException` - if an error occured while creating the request
    `TherLinkBusinessConnectorException` - if a required parameter is not provided, or if the request is not valid
    `InstantiationException`

### createPutTherapeuticLinkRequest

    PutTherapeuticLinkRequest createPutTherapeuticLinkRequest(org.joda.time.DateTime endDate,
                                                              Patient patient,
                                                              HcParty concernedHealthCareProfessionel,
                                                              String therLinkType,
                                                              String comment,
                                                              Proof... proofs)
                                                              throws TechnicalConnectorException,
                                                                     TherLinkBusinessConnectorException,
                                                                     InstantiationException

  Creates a new `PutTherapeuticLinkRequest`

  Parameters:
    `patient` - the patient concerned by the therapeutic link
    `therLinkType` - the type of the therapeutic link
    `endDate` - (optional) the end date of the therapeutic link
    `comment` - (optional) a comment about the therapeutic link
    `concernedHealthCareProfessionel` - (optional, default person in current session) the professional concerned by the therapeutic link
    `proofs` - (optional and possible empty) list of proofs
  Returns:
  Throws:
    `TechnicalConnectorException` - if an error occured while creating the request
    `TherLinkBusinessConnectorException` - if a required parameter is not provided, or if the request is not valid
    `InstantiationException`

### createRevokeTherapeuticLinkRequest

    @Deprecated
    RevokeTherapeuticLinkRequest createRevokeTherapeuticLinkRequest(Patient patient,
                                                                               HcParty hcp,
                                                                               Date startDate,
                                                                               Date endDate,
                                                                               String therLinkType,
                                                                               String commentAboutRevokal,
                                                                               Proof... proofs)
                                                                    throws TechnicalConnectorException,
                                                                           TherLinkBusinessConnectorException,
                                                                           InstantiationException

  Deprecated.

  Creates a RevokeTherapeuticLinkRequest

  Parameters:
    `patient` - the patient concerned by the therapeutic link
    `therLinkType` - the type of the therapeutic link
    `hcp` - the professional concerned by the therapeutic link
    `endDate` - (optional) the end date of the therapeutic link
    `commentAboutRevokal` - (optional) a comment about the revokal
    `proofs` - (optional and possible empty) a list of proofs
  Returns:
  Throws:
    `TechnicalConnectorException` - if an error occured while creating the request
    `TherLinkBusinessConnectorException` - if a required parameter is not provided, or if the request is not valid
    `InstantiationException`

### createRevokeTherapeuticLinkRequest

    RevokeTherapeuticLinkRequest createRevokeTherapeuticLinkRequest(org.joda.time.DateTime startDate,
                                                                    org.joda.time.DateTime endDate,
                                                                    Patient patient,
                                                                    HcParty hcp,
                                                                    String therLinkType,
                                                                    String commentAboutRevokal,
                                                                    Proof... proofs)
                                                                    throws TechnicalConnectorException,
                                                                           TherLinkBusinessConnectorException,
                                                                           InstantiationException

  Creates a RevokeTherapeuticLinkRequest

  Parameters:
    `patient` - the patient concerned by the therapeutic link
    `therLinkType` - the type of the therapeutic link
    `hcp` - the professional concerned by the therapeutic link
    `endDate` - (optional) the end date of the therapeutic link
    `commentAboutRevokal` - (optional) a comment about the revokal
    `proofs` - (optional and possible empty) a list of proofs
  Returns:
  Throws:
    `TechnicalConnectorException` - if an error occured while creating the request
    `TherLinkBusinessConnectorException` - if a required parameter is not provided, or if the request is not valid
    `InstantiationException`

### createHasTherapeuticLinkRequest

    HasTherapeuticLinkRequest createHasTherapeuticLinkRequest(TherapeuticLink query)
                                                              throws TechnicalConnectorException,
                                                                     TherLinkBusinessConnectorException,
                                                                     InstantiationException

  Creates a HasTherapeuticLinkRequest

  Parameters:
    `query` - the therapeutic link to retrieve
    `prooves` - a list of proofs (optional and may be empty)
  Returns:
  Throws:
    `TechnicalConnectorException` - if an error occured while creating the request
    `TherLinkBusinessConnectorException` - if a required parameter is not provided, or if the request is not valid
    `InstantiationException`

### createGetTherapeuticLinkRequest

    GetTherapeuticLinkRequest createGetTherapeuticLinkRequest(TherapeuticLink query,
                                                              int maxRows,
                                                              Proof... prooves)
                                                              throws TechnicalConnectorException,
                                                                     TherLinkBusinessConnectorException,
                                                                     InstantiationException

  Creates a GetTherapeuticLinkRequest

  Parameters:
    `maxRows` - should be smaller than 1000
    `query` - the therapeutic link to retrieve
    `prooves` - a list of proofs (optional and may be empty)
  Returns:
  Throws:
    `TechnicalConnectorException` - if an error occured while creating the request
    `TherLinkBusinessConnectorException` - if a required parameter is not provided, or if the request is not valid
    `InstantiationException`

### createGetTherapeuticLinkRequest

    GetTherapeuticLinkRequest createGetTherapeuticLinkRequest(TherapeuticLink query,
                                                              Proof... prooves)
                                                              throws TechnicalConnectorException,
                                                                     TherLinkBusinessConnectorException,
                                                                     InstantiationException

  Creates a GetTherapeuticLinkRequest MaxRows will be replaced with property value of "therlink.maxrows" if it's defined, otherwise default value1000 will be used

  Parameters:
    `query` - the therapeutic link to retrieve
    `prooves` - a list of proofs (optional and may be empty)
  Returns:
  Throws:
    `TechnicalConnectorException` - if an error occured while creating the request
    `TherLinkBusinessConnectorException` - if a required parameter is not provided, or if the request is not valid
    `InstantiationException`

### getAuthorHcParties

    List<HcParty> getAuthorHcParties()
                                     throws TechnicalConnectorException,
                                            TherLinkBusinessConnectorException,
                                            InstantiationException

  Gets a list of HcParties that should be included in the author section of the message

  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`
    `InstantiationException`

### getEnduserHcpType

    @Deprecated
    String getEnduserHcpType()

  Deprecated.

  Retrieve the config value of "therlink.enduser.hcpartytype" Deprecated : use HcPartyUtil.getAuthorKmehrQuality() instead.

### createRevokeTherapeuticLinkRequest

    RevokeTherapeuticLinkRequest createRevokeTherapeuticLinkRequest(TherapeuticLink therLink)
                                                                    throws TechnicalConnectorException,
                                                                           TherLinkBusinessConnectorException,
                                                                           InstantiationException

  Creates a RevokeTherapeuticLinkRequest with a TherapeuticLink as input

  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`
    `InstantiationException`

### createRevokeTherapeuticLinkRequestWithProof

    RevokeTherapeuticLinkRequest createRevokeTherapeuticLinkRequestWithProof(TherapeuticLink link,
                                                                             Proof... proofs)
                                                                             throws TechnicalConnectorException,
                                                                                    TherLinkBusinessConnectorException,
                                                                                    InstantiationException

  Creates a RevokeTherapeuticLinkRequest with a TherapeuticLink as input and a proof list

  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`
    `InstantiationException`

### getMaxRows

    int getMaxRows()

  won't always return correct value ( 0 instead of null ) in new implementations.

  Returns:

### createPutTherapeuticLinkRequest

    PutTherapeuticLinkRequest createPutTherapeuticLinkRequest(Patient patient,
                                                              HcParty hcp,
                                                              String therLinkType,
                                                              Proof proof)
                                                              throws TechnicalConnectorException,
                                                                     TherLinkBusinessConnectorException,
                                                                     InstantiationException

  Creates a putTherapeuticLinkRequest enddate & comment are null by default

  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.